;;; File: mzgdbm.scm
;;;
;;; Created: 24  2002 by Alex Ott <ottalex@narod.ru>
;;;
;;; Interface to GNU dbm 
;;;

;(load-relative-extension "../extensions/mzgdbm.so")
;(load-extension "mzgdbm.so")

(load-relative-extension "./mzgdbm.so")

(define (gdbm:delete-all db)
  (let loop ((k (gdbm:first-key db)))
    (when k
	(gdbm:delete db k)
	(loop (gdbm:next-key db))))
  (gdbm:reorganize db))

;;;
;;; mode: scheme
;;;
;;;